Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: 2.7.2
    • Fix Version/s: None
    • Component/s: build
    • Labels:
      None

      Description

        Issue Links

          Activity

          Hide
          ozawa Tsuyoshi Ozawa added a comment -
          Show
          ozawa Tsuyoshi Ozawa added a comment - FYI: http://netty.io/downloads.html
          Hide
          ozawa Tsuyoshi Ozawa added a comment -

          Hendy Irawan thanks for taking this issue.

          IMO, it should be bundled since the server side of Hadoop depends on Zookeeper client which depends on netty-3.7.0-final. We should discuss how to update this kind of large library at first.

          Show
          ozawa Tsuyoshi Ozawa added a comment - Hendy Irawan thanks for taking this issue. IMO, it should be bundled since the server side of Hadoop depends on Zookeeper client which depends on netty-3.7.0-final. We should discuss how to update this kind of large library at first.
          Hide
          vinayrpet Vinayakumar B added a comment -

          netty-all-4.x and netty-3.x are different. Even though classes might be same, but they are in different packages.
          And netty-all is already with 4.1.0-Beta5

                <dependency>
                  <groupId>io.netty</groupId>
                  <artifactId>netty-all</artifactId>
                  <version>4.1.0.Beta5</version>
                </dependency>
          
          
          Show
          vinayrpet Vinayakumar B added a comment - netty-all-4.x and netty-3.x are different. Even though classes might be same, but they are in different packages. And netty-all is already with 4.1.0-Beta5 <dependency> <groupId>io.netty</groupId> <artifactId>netty-all</artifactId> <version>4.1.0.Beta5</version> </dependency>
          Hide
          haibochen Haibo Chen added a comment -

          Tsuyoshi Ozawa, Vinayakumar B Any specific reason why we are not updating netty-all from 4.1.0.Beta5 to a stable 4.1.0+ release?

          Show
          haibochen Haibo Chen added a comment - Tsuyoshi Ozawa , Vinayakumar B Any specific reason why we are not updating netty-all from 4.1.0.Beta5 to a stable 4.1.0+ release?
          Hide
          yuzhihong@gmail.com Ted Yu added a comment - - edited

          We can upgrade to 4.1.1.Final version.

          Let me know whether a new JIRA is needed for 4.1.1.Final version

          Show
          yuzhihong@gmail.com Ted Yu added a comment - - edited We can upgrade to 4.1.1.Final version. Let me know whether a new JIRA is needed for 4.1.1.Final version
          Hide
          haibochen Haibo Chen added a comment -

          Ted Yu I think we can close this as not applicable and create a new jira.

          Show
          haibochen Haibo Chen added a comment - Ted Yu I think we can close this as not applicable and create a new jira.
          Hide
          yuzhihong@gmail.com Ted Yu added a comment -

          Logged HADOOP-13866

          Show
          yuzhihong@gmail.com Ted Yu added a comment - Logged HADOOP-13866
          Hide
          xiaochen Xiao Chen added a comment -

          Closing this as a dup of HADOOP-13866 as suggested.

          Show
          xiaochen Xiao Chen added a comment - Closing this as a dup of HADOOP-13866 as suggested.

            People

            • Assignee:
              Unassigned
              Reporter:
              ceefour Hendy Irawan
            • Votes:
              0 Vote for this issue
              Watchers:
              8 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development